package com.example.springdemo.entities;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.*;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "Merchants")

public class Merchants {
    @Id

    private Long id;//主键,商家编号

    private String name;//店铺名字

    private String address;//店铺地址

    private String description;//店铺描述

    @Column(name = "phoneNumber")
    private String phoneNumber;//商家联系方式

}
